This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1254841 - Outdated npm version in Fedora Rawhide
Outdated npm version in Fedora Rawhide
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: npm (Show other bugs)
24
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Stephen Gallagher
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1286303
  Show dependency treegraph
 
Reported: 2015-08-18 22:47 EDT by Viktor Jancik
Modified: 2016-03-29 08:14 EDT (History)
6 users (show)

See Also:
Fixed In Version: npm-3.5.4-5.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-29 08:14:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Viktor Jancik 2015-08-18 22:47:06 EDT
Description of problem:
Why is the latest version of npm in Fedora 1.3.6? That version is from Jul 27, 2013.
https://github.com/npm/npm/releases/tag/v1.3.6

The latest version is:
https://github.com/npm/npm/releases/tag/v2.13.5

Is there a reason for this?
Comment 1 Stephen Gallagher 2016-01-15 13:25:41 EST
We're working on a big upgrade to Node.js 4.x (LTS) and the corresponding updated npm packages. It's targeted for Fedora 24 Alpha.
Comment 2 Stephen Gallagher 2016-01-19 14:22:36 EST
The packages are being merged into Rawhide shortly and should filter out to the mirrors by the end of the week.
Comment 4 Jan Kurik 2016-02-24 10:30:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Mike McCune 2016-03-28 19:33:48 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.